=== modified file 'drizzled/session.cc'
--- drizzled/session.cc	2009-06-11 17:10:19 +0000
+++ drizzled/session.cc	2009-06-11 17:13:12 +0000
@@ -162,21 +162,23 @@
 }
 
 Session::Session(Protocol *protocol_arg)
-   :Statement(&main_lex, &main_mem_root, /* statement id */ 0),
-   Open_tables_state(refresh_version),
-   lock_id(&main_lock_id),
-   user_time(0),
-   arg_of_last_insert_id_function(false),
-   first_successful_insert_id_in_prev_stmt(0),
-   first_successful_insert_id_in_cur_stmt(0),
-   global_read_lock(0),
-   is_fatal_error(0),
-   transaction_rollback_request(0),
-   is_fatal_sub_stmt_error(0),
-   derived_tables_processing(false),
-   m_lip(NULL),
-   scheduler(0),
-   cached_table(0)
+  :
+  Statement(&main_lex, &main_mem_root, /* statement id */ 0),
+  Open_tables_state(refresh_version),
+  lock_id(&main_lock_id),
+  user_time(0),
+  arg_of_last_insert_id_function(false),
+  first_successful_insert_id_in_prev_stmt(0),
+  first_successful_insert_id_in_cur_stmt(0),
+  global_read_lock(0),
+  is_fatal_error(0),
+  transaction_rollback_request(0),
+  is_fatal_sub_stmt_error(0),
+  derived_tables_processing(false),
+  m_lip(NULL),
+  scheduler(0),
+  cached_table(0),
+  tablespace_op(false)
 {
   uint64_t tmp;
 
@@ -260,7 +262,6 @@
   protocol->setSession(this);
 
   const Query_id& local_query_id= Query_id::get_query_id();
-  tablespace_op= false;
   tmp= sql_rnd();
   protocol->setRandom(tmp + (uint64_t) &protocol,
                       tmp + (uint64_t)local_query_id.value());

=== modified file 'drizzled/session.h'
--- drizzled/session.h	2009-06-11 17:10:19 +0000
+++ drizzled/session.h	2009-06-11 17:13:12 +0000
@@ -514,20 +514,10 @@
    */
   char *thread_stack;
 
-  /** 
-   * Currently selected catalog. 
-   *
-   * @note
-   *
-   * From JRP: AFAICT, this is/was only used in replication stream...possibly
-   * can be killed off.
-   */
-  char *catalog;
-
   /**
     @note
     Some members of Session (currently 'Statement::db',
-    'catalog' and 'query')  are set and alloced by the slave SQL thread
+    'query')  are set and alloced by the slave SQL thread
     (for the Session of that thread); that thread is (and must remain, for now)
     the only responsible for freeing these 3 members. If you add members
     here, and you add code to set them in replication, don't forget to

